(***********************************************************************)
(*                                                                     *)
(*                                Ulib                                 *)
(*                                                                     *)
(*                   OCaml user's additional library                   *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2004-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of OCamlGen, 3.3+dev4 generated code *)

let rec print_module_name ppf = function
  | s -> Lib_print.print_quoted_string ppf s

and print_function_name ppf = function
  | s -> Lib_print.print_quoted_string ppf s

and print_tag ppf = function | s -> Lib_print.print_quoted_string ppf s

and print_prefix ppf = function | s -> Lib_print.print_quoted_string ppf s

and print_message ppf = function | s -> Lib_print.print_quoted_string ppf s

and print_gen_message ppf = function
  | f_u_m -> Lib_print.print_fun Lib_print.print_unit print_message ppf f_u_m
;;

let print_index ppf = function | u_t -> Unatural_print.print_t ppf u_t
;;

let print_length ppf = function | u_t -> Unatural_print.print_t ppf u_t
;;

(* End of OCamlGen, 3.3+dev4 generated code *)
